<!DOCTYPE html>
<html>
  <head>
    <title> </title>
  </head>
  <body>
    <main>
      <div>
        <h1>{{ todolist.name }}</h1>
        <p>
          <a href="{% url 'update_todolist' todolist.id %}">Edit</a>
        </p>
        <p>
          <a href="{% url 'delete_todolist' todolist.id %}">Delete</a>
        </p>
        <h2>Tasks</h2>
        <table>
          <thead>
            <tr>
              <th>Task</th>
              <th>Due date</th>
            </tr>
          </thead>
          <tbody>
            {% for chore in todolist.items.all %}
            <tr>
              <td>
                <a href="{% url 'update_todoitem' chore.id %}"
                  >{{ chore.task }}</a
                >
              </td>
              <td>{{ chore.due_date }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
